package com.xpo.ltl.api.client;

public class Token {

	private String access_token;
	private String refresh_token;
	private Integer expires_in;
	private long expiryTimestamp;

	protected boolean isExpired() {
		return ((expiryTimestamp - System.currentTimeMillis()) <= 5000);
	}
	
	protected String getAccess_token() {
		return access_token;
	}

	protected void setAccess_token(String token) {
		this.access_token = token;
	}

	protected String getRefresh_token() {
		return refresh_token;
	}

	protected void setRefresh_token(String refreshToken) {
		this.refresh_token = refreshToken;
	}

	protected long getExpiryTimestamp() {
		return expiryTimestamp;
	}

	public Integer getExpires_in() {
		return expires_in;
	}

	public void setExpires_in(Integer expires_in) {
		this.expires_in = expires_in;
	}

	protected void setExpiryTimestamp(long expiryTimestamp) {
		this.expiryTimestamp = expiryTimestamp;
	}

}
