package com.xpo.ltl.api.client.common;

public class ClientCredentials {

	private String authKey;
	private String username;
	private String password;
	private String scope;


	private ClientCredentials(String authKey, String username, String password, String scope) {
		super();
		this.authKey = authKey;
		this.username = username;
		this.password = password;
		this.scope = scope;
	}

	public static ClientCredentials newInstance(String authKey, String username, String password) {
		return new ClientCredentials(authKey, username, password, null);
	}

	public static ClientCredentials newInstance(String authKey, String username, String password, String scope) {
		return new ClientCredentials(authKey, username, password, scope);
	}

	public String getAuthKey() {
		return authKey;
	}

	public String getUsername() {
		return username;
	}

	public String getPassword() {
		return password;
	}

	public String getScope() {
		return scope;
	}
}
