package com.xpo.ltl.api.client.common;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ServiceInfo", propOrder = {
		"service",
		"status",
		"build"
})
public class ServiceInfo implements Serializable {

	private final static long serialVersionUID = 1L;
    private String service;
    private String status;
    private String build;
    
    
	public ServiceInfo(String service, String status, String build) {
		super();
		this.service = service;
		this.status = status;
		this.build = build;
	}
	
	public String getService() {
		return service;
	}
	public void setService(String service) {
		this.service = service;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getBuild() {
		return build;
	}
	public void setBuild(String build) {
		this.build = build;
	}
}
